package cn.com.qmth.examcloud.question.core;

import java.io.Serializable;
import java.util.List;

/**
 * 题<完整题>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface Question extends Serializable {

	public String getId();

	public void setId(String id);

	public String getBody();

	public void setBody(String body);

	public String getVersion();

	public void setVersion(String version);

	public QuestionType getQuestionType();

	public void setQuestionType(QuestionType questionType);

	public QuestionStructure getMasterVersion();

	public void setMasterVersion(QuestionStructure masterVersion);

	public List<QuestionStructure> getBranchVersionList();

	public void setBranchVersionList(List<QuestionStructure> branchVersionList);

}